## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         srcname         py-deviceid
%global         tarball_name    py_deviceid

Name:           python-%{srcname}
Version:        0.1.1
Release:        %autorelease
Summary:        py-deviceid provides a device ID for a given system
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{tarball_name} %{version}}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%global _description %{expand:
py-deviceid provides a device ID for a given system, based on the DevDeviceId
specification.}


%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{tarball_name}-%{version}
# Strip CRLF line endings
find . -type f -exec sed -i 's/\r$//' "{}" ";"

# Fixed in https://github.com/microsoft/py-deviceid/pull/14
# Applying patches is annoying due to line endings
echo "build-backend = \"setuptools.build_meta\"" >> pyproject.toml


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l deviceid


%check
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Thu May 01 2025 John Doe <packager@example.com> - 0.1.1-1
- Uncommitted changes
## END: Generated by rpmautospec
